UNIT mTAutomat;

interface

{$I getraenke.aut}

type
   TAutomat = CLASS

     // weitere Attribute
     private
        ausgabe : TAusgabe;
        eingabe : TEingabe;
        zustand : TZustand;

     // weitere Methoden
     public
        constructor create;
        procedure setAusgabe(pAusgabe:TAusgabe);
        procedure setEingabe(pEingabe:TEingabe);
        procedure setZustand(pZustand:TZustand);
        procedure verarbeiteEingabe;
        function getAusgabe : TAusgabe;
        function getEingabe : TEingabe;
        function getZustand : TZustand;

   end;

implementation

//+---------------------------------------------------------------------
//|         TAutomat: Methodendefinition
//+---------------------------------------------------------------------

//-------- create (public) ---------------------------------------------
constructor TAutomat.create;
begin
  inherited create;
  zustand := startzustand;
end;

//-------- setAusgabe (public) -----------------------------------------
procedure TAutomat.setAusgabe(pAusgabe:TAusgabe);
begin
  ausgabe := pAusgabe
end;

//-------- setEingabe (public) -----------------------------------------
procedure TAutomat.setEingabe(pEingabe:TEingabe);
begin
  eingabe := pEingabe
end;

//-------- setZustand (public) -----------------------------------------
procedure TAutomat.setZustand(pZustand:TZustand);
begin
  zustand := pZustand
end;

//-------- verarbeiteEingabe (public) ----------------------------------
procedure TAutomat.verarbeiteEingabe;
begin
  ausgabe := fa[zustand,eingabe];
  zustand := fue[zustand,eingabe];
end;

//-------- getAusgabe (public) -----------------------------------------
function TAutomat.getAusgabe : TAusgabe;
begin
  result  := ausgabe
end;

//-------- getEingabe (public) -----------------------------------------
function TAutomat.getEingabe : TEingabe;
begin
  result  := eingabe
end;

//-------- getZustand (public) -----------------------------------------
function TAutomat.getZustand : TZustand;
begin
  result  := zustand
end;

end.
